| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# INamedInterface Class Reference

`#include <GaudiKernel/INamedInterface.h>`

Inheritance diagram for INamedInterface:

[legend]
Collaboration diagram for INamedInterface:

[legend]

List of all members.

## Detailed Description

IInterface compliant class extending IInterface with the name() method.

Author:
  Charles Leggett

  Marco Clemencic

Definition at line 19 of file INamedInterface.h.

## Public Member Functions
virtual const std::string & | name () const =0
| Retrieve the name of the instance.
virtual | ~INamedInterface ()
| Virtual destructor (always needed for abstract classes).
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Constructor & Destructor Documentation

virtual INamedInterface::~INamedInterface | ( |  | ) | `[inline, virtual]`

Virtual destructor (always needed for abstract classes).

Definition at line 29 of file INamedInterface.h.

    00029 {}

## Member Function Documentation

static const InterfaceID& INamedInterface::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Reimplemented in IErrorTool, IGenericTool, IHistoTool, ISequencerTimerTool, ITupleTool, IEqSolver, IFuncMinimum, IGslErrorHandler, IGslSvc, IAlgorithm, IAlgTool, IAuditor, IAuditorSvc, IChronoStatSvc, IDataStreamTool, IEventTimeDecoder, IHistorySvc, IIssueLogger, IMagneticFieldSvc, IParticlePropertySvc, IPartPropSvc, IRndmGenSvc, IService, IStatusCodeSvc, and ITHistSvc.

Definition at line 23 of file INamedInterface.h.

    00023 { return IID_INamedInterface; }

virtual const std::string& INamedInterface::name | ( |  | ) | const`[pure virtual]`

Retrieve the name of the instance.

Implemented in Algorithm, AlgTool, Auditor, Service, and ApplicationMgr.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/INamedInterface.h